Luxor Documentation Hub Logo
Commander/API Documentation

Get performance history

Returns time-series performance data for a specified metric and date range.

GET
/v2/commander/performance/history

Authorization

authorization<token>

Use your API key here.

In: header

Query Parameters

site_idsstring

Comma-separated site UUIDs

miner_idsstring

Comma-separated miner IDs

metricRequiredstring

Performance metric to query

Value in: "hashrate" | "power_consumption" | "temperature" | "efficiency" | "hashing_miners"
start_dateRequiredstring

Start date (YYYY-MM-DD)

Format: "date"
end_dateRequiredstring

End date (YYYY-MM-DD)

Format: "date"
page_numberinteger
Default: 1Minimum: 1
page_sizeinteger
Default: 10Minimum: 1
curl -X GET "https://app.luxor.tech/api/v2/commander/performance/history?site_ids=618ee7c5-bf5d-45b8-b845-b423cf5123d0&miner_ids=10011156160260362486&metric=hashrate&start_date=2026-02-01&end_date=2026-02-28&page_number=1&page_size=10" \
  -H "authorization: <token>"

Default Response

{
  "timeseries": [
    {
      "timestamp": "2026-02-20T12:00:00.000Z",
      "value": 34650.02,
      "metric": "NominalHashrate"
    }
  ],
  "pagination": {
    "page_number": 1,
    "page_size": 1,
    "item_count": 0,
    "previous_page_url": null,
    "next_page_url": null
  }
}